Bug #47388 configure is stale, bogus unrecognized options warning
Submitted: 16 Sep 2009 22:41 Modified: 18 Sep 2009 8:39
Reporter: Mark Callaghan Email Updates:
Status: Duplicate Impact on me:
None 
Category:MySQL Server: Compiling Severity:S3 (Non-critical)
Version:5.1.38,5.1.37 OS:Any
Assigned to:
Tags: configure, innodb, plugin
Triage: Needs Triage: D4 (Minor)

[16 Sep 2009 22:41] Mark Callaghan
Description:
Using unmodified mysql 5.1.38, run:
   ./configure --with-plugin-innobase --without-plugin-innodb_plugin

and I get the warning: 
configure: WARNING: unrecognized options: --without-plugin-innodb_plugin, --with-plugin-innobase

For unmodified mysql 5.1.37, run:
   ./configure --with-plugin-innobase

and I get a similar warning

How to repeat:
see above

Suggested fix:
Run BUILD/autorun.sh before running configure and the warnings don't occur.
[17 Sep 2009 1:17] Andrew Dalgleish
Verified as described with 5.1.38
[18 Sep 2009 7:08] Sveta Smirnova
Omer,

this is not related to autorun.sh at all:

ssmirnova@blade12 ~/blade12
$tar -xzf mysql-5.1.38.tar.gz 

ssmirnova@blade12 ~/blade12
$cd mysql-5.1.38

ssmirnova@blade12 ~/blade12/mysql-5.1.38
$   ./configure --with-plugin-innobase --without-plugin-innodb_plugin
configure: WARNING: unrecognized options: --with-plugin-innobase, --without-plugin-innodb_plugin
...
[18 Sep 2009 8:39] Sergei Golubchik
duplicate of bug#42872